/*

Código fuente creado por JailDesigner
Empezado en Castalla el 01/07/2022.

*/

#include "director.h"
#include <iostream>

int main(int argc, char *argv[])
{
	std::cout << "Starting the game...\n\n";

	// Crea el objeto Director
	Director *director = new Director(argc, argv);

	// Bucle principal
	director->run();

	// Destruye el objeto Director
	delete director;
	director = nullptr;

	std::cout << "\nShutting down the game..." << std::endl;

	return 0;
}
